Skip to main content
POST
Invite a member

Autorisierungen

X-API-KEY
string
header
erforderlich

Body

application/json
name
string
erforderlich
Maximum string length: 255
email
string<email> | null
erforderlich
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
department_ids
object[]
erforderlich
Minimum array length: 1
employment_start_date
string | null
erforderlich

Date/time in ISO 8601 format, e.g. 2026-06-01 (interpreted as UTC midnight) or 2026-06-01T09:00:00Z. Always include a time zone designator (Z for UTC) when sending a time of day. Localized formats such as 01.06.2026 or 06/01/2026 are misinterpreted and must not be used.

public_holiday_id
string
erforderlich
annual_allowance_current_year
number
erforderlich
annual_allowance_next_year
number
erforderlich
birthday
string | null
erforderlich

Date/time in ISO 8601 format, e.g. 2026-06-01 (interpreted as UTC midnight) or 2026-06-01T09:00:00Z. Always include a time zone designator (Z for UTC) when sending a time of day. Localized formats such as 01.06.2026 or 06/01/2026 are misinterpreted and must not be used.

custom_id
string | null
erforderlich
defaultAllowances
object[]
erforderlich

One entry per allowance type the member should get. default and disabled can be changed later via PUT /members/{member_id}/allowance-type-configurations/{allowance_type_id}.

Antwort

Successful response

The response is of type string<uuid>.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$